About Proxy Switcher

Often different internet connections require completely different proxy server settings and it's a real pain to change them manually. Proxy Switcher offers full featured connection management solution.

This includes flexible proxy server list management, proxy server tester and anonymous surfing capabilities.

Visit Website


System requirements

Minimal requirements:

  • Operating System: Microsoft Windows 98/Me/NT4/2000/XP/Server 2003
  • Internet Explorer 5 or better (limited Internet Explorer 4 support)


Proxy Switcher vs Proxy Switcher Lite

Proxy Switcher comes into two flavors freeware Lite version and more powerful Standard version.

Table of differences between Proxy Switcher and Proxy Switcher Lite:
Feature | Proxy Switcher | Proxy Switcher Lite
Proxy Manager module with built-in anonymous proxy server finder and proxy server tester. | Yes | No
Capability to display active proxy server. | Yes | No
Absence of the banner. | Yes | No
Capability to control scanner speed depending on your connection speed. | Yes | No
Capability to specify custom proxy server for proxy list downloads. | Yes | No
The program is free | No, but it has a free 15-day trial period. Download Proxy Switcher Standard! Purchase it (just $29.95) | Yes


Key features
  • Integrates with Microsoft Internet Explorer and software based on it.
  • Internal proxy server for other software that supports HTTP proxy.
  • Automatic proxy switching support.
  • Flexible proxy list management.
  • Support for LAN, dialup, VPN and other RAS connections.
  • Fast multi-threaded proxy server testing.
  • Anonymous proxy server list download.
  • Proxy switching from command line (can be used at logon to automatically set connection settings).


Proxy Switcher Standard

In addition to standard add/remove/edit functions proxy manager contains functions useful for anonymous surfing and proxy availability testing.

Folders - all proxy servers are sorted into 6 folders (categories) that are displayed as a tree. Folder New contains new found servers. During the scan proxy servers are being moved to Working, Anonymous, Private and Dead folders. Folder ProxySwitcher contains proxy servers which are available in the main module and are displayed into the pop-up menu (see picture).

  • First button in the toolbar will start proxy list download, the current active connection options or ones specified in the settings will be used. After the download successfully completes all new proxies will be added to the 'New' folder
  • The second button in the toolbar aborts proxy list download.

  • The third button in the toolbar starts the scanning process for the current active folder.

  • The fourth button aborts the scanning process for the current folder.


Keep-Alive and Auto Switch modes

Proxy Switcher in addition to manual mode when you are in full control can function in Keep-Alive and Auto Switch modes. These modes are accessible through Proxy Manager window.

When Proxy Switcher is running in Keep-Alive mode it tries to maintain working proxy server connection by switching to different proxy server if current dies. When active proxy server becomes inaccessible Proxy Switcher will pick different server from ProxySwitcher category. If the active proxy server is currently alive the background will be green (see screenshot).

If the server becomes inaccessible Proxy Switcher will try to find working proxy server - a reddish background will be displayed till a working proxy server is found. To minimize network traffic in this mode proxy server availability is checked every 30 seconds.

When running in Auto Switch mode Proxy Switcher will switch active proxy servers regulary. Switching period can be set with a slider from 5 minutes to 10 seconds. Proxy servers by default will be taken from the Anonymous category. Also in the options dialog you can change source category. To avoid dead servers and increase switching reliabilty Proxy Switcher continuously albeit slowly tests proxy servers and places them into queue. The progress bar near the slider displays queue state.

For example this is a fragment of a web server log file that is created when the user is surfing with in Auto Switch mode. As you see IP addresses are changing for almost every requested web page. In this case it looks like 5 users visited this web server.
142.163.196.37 - - [10/May/2004:23:44:59 +0300] "GET / HTTP/1.1" 200 4188
142.163.196.37 - - [10/May/2004:23:45:00 +0300] "GET /head.png HTTP/1.1" 200 198
193.178.1.1 - - [10/May/2004:23:45:20 +0300] "GET /index.php?show=1 HTTP/1.0" 200 4175
193.146.142.66 - - [10/May/2004:23:45:26 +0300] "GET /index.php?show=2 HTTP/1.1" 200 6472
193.146.142.66 - - [10/May/2004:23:45:31 +0300] "GET /photo/ HTTP/1.1" 404 284
142.163.196.37 - - [10/May/2004:23:45:37 +0300] "GET /index.php?show=1 HTTP/1.1" 200 4188
142.163.196.37 - - [10/May/2004:23:45:44 +0300] "GET /index.php?show=4 HTTP/1.1" 200 2164
12.170.99.234 - - [10/May/2004:23:45:52 +0300] "GET /cv/crast/index.html HTTP/1.0" 200 1147
12.170.99.234 - - [10/May/2004:23:45:53 +0300] "GET /cv/crast/0.gif HTTP/1.0" 200 75191
12.170.99.234 - - [10/May/2004:23:45:54 +0300] "GET /cv/crast/1.gif HTTP/1.0" 200 86378


Internal Proxy Server

Starting from version 3.0 Proxy Switcher incoporates internal proxy server. It is useful when you want to use other applications (besides Internet Explorer) that support HTTP proxy via Proxy Switcher. By default it waits for connections on localhost:3128.

You can change port it listens on or disable it altogther in the settings dialog.


Proxy Switcher Lite

This is window where you can configure proxy servers which are directly available in the pop-up menu from the tray icon.

First three buttons [image] in the toolbar perform standard operations of adding, removal and editing of the proxy servers.

Next two buttons [image] in the toolbar allow to switch to the selected proxy server and disconnect active proxy server (switch to direct connection).

By clicking the button [image] with an arrow you can set exclusions list. The exclusions list allows you to setup list of servers which you want to access directly (bypassing the active proxy).


Using Proxy Switcher

There are various use cases possible:

Basic Usage Scenario
How to Find Proxy Servers
Anonymous Surfing

Usage from Command Line


Basic Usage Scenario

1. Make sure the Proxy Switcher is running - you should see a similar icon in the tray.

2. The following window will pop-up when you click the icon. The proxy list will be empty if you have not configured any servers yet.

3. The next thing you should do is to add some configurations you wish to switch between. Click "+" button in the toolbar to add a new proxy server. The following window will pop-up.

4. The first edit box requires to enter host name or IP address of the proxy server. The second edit box requires a port number (1-65535) of the target proxy server. After that click the 'Ok' button, the data you have entered will be saved.

5. After that when you right-click the icon in the tray the menu will pop-up which will contain proxy server configurations you have added to the list.

6. By clicking the menu item connection settings will be instantly applied.


How to Find Proxy Servers

1. Click Find Proxies to start proxy manager.

2. The proxy manager window will show up. It will be empty if you are running it for the first time.

Rectangular Callout: Update anonymous proxy list 3. Click the first button on the toolbar to update proxy server list. After the update process has completed you will see a similar picture.

4. After the proxy list update is completed you should start the proxy scanner which will determine which proxy servers are available and how fast do they respond. The response speed time is shown in the 'Ping' column. In general the lower the number the faster access will be.

Rectangular Callout: Stop the scanning Rectangular Callout: Start the scanning 5. After the scanning has been completed or you have stopped it when the needed proxy number has been found you should see a similar picture. In this case three working proxy servers have been found.

6. To make found servers available to the switching you should move them to the ProxySwitcher folder. You can select all the servers in the folder by clicking Ctrl+A or select individually with a mouse. Hold the Ctrl key down to select multiple items. Then drag selected items to the ProxySwitcher folder.

7. Proxy servers that reside in ProxySwitcher folder become instantly available for the switching.


Anonymous Surfing

To make your internet travels anonymous you can use proxy servers which hide your IP address. Proxy Switcher provides functionality to achieve this goal. First step is to find anonymous proxy servers.

The found working proxy servers will be placed into the Working folder. Select the servers you like (most likely fastest ones) and drag on to the ProxySwitcher folder. After this the selected servers will become available for switching in the tray icon pop-up menu.

After the anonymous proxy servers have become available for switching you can activate any one to become invisible for the sites you visit.


Hotkeys

When list with proxy servers is focused/selected following hotkeys are available:

Hotkey
 Description
<Enter>
 To edit selected proxy server
<Space> To activated selected proxy server
<Backspace>
 To switch do direct connection
<Insert>
 To add new proxy server
<Delete>
 To delete selected proxy server


Usage from Command Line

You can pass options to the proxy switcher as the command line options. This can be used, for example, to set proxy server settings when user logs on.

Currently proxy switcher supports following command line options:

Switch Description
-d Activate direct connection.

-p <ProxyServerAddress:Port>

or

-p <protocol>=<address:port>;[...]

or

-p auto=<URL>

         Activate connection via proxy server. Supply proxy server address and port as the next argument.

Or supply per protocol setting of proxy servers in form <portocol>=<address:port>;<protocol>=... Possible values for protocol are: http, https, ftp, gopher, socks.

Or specify auto configuration URL.
-e <ExclusionList> Set exlusions (which servers should be accessed directly). Supply exclusions as the next argument in the form: <local>;*.mynetwork.com
This enables "bypass proxy server for local addresses" and disables proxy for mynetwork.com domain.
-x Do not start proxy switcher GUI but exit after the settings are activated.
-q[uiet] Do not complain if something goes wrong.
NB! If you run this at startup you will change settings only for the active connections. This means that it might not work with all types of connections which become available later (dialup, VPN etc.).

Installer supports following command line options:

Switch Description
/silent
Will make installation without asking any questions.
/verysilent
Will make installation without asking any questions or displaying installation progress.
/name <name>

/key <keycode>
Both options must be used together. Installation will attempt to register program during install with specified name and keycode.

Example:
ProxySwitcherStandard.exe /name "John Doe" /key 12345-67890-ABCDE-FGHIJ-KLMNO


How to Register
Licensing issues:
Proxy Switcher Standard is a trial version and is provided freely for your evaluation. The evaluation period is 15 days from the date of installation. After this period if you decide to keep the software, you must purchase a license. This will:
  • Unlock all features - Anonimity level testing, Automatic switching.
  • No more expiration.
  • Free technical support.
  • Free lifetime upgrades.
How to purchase a license:
To purchase the Proxy Switcher you should point your web browser to www.proxyswitcher.com/order.html, then choose a variation you like and finally make a money transaction. All payments are processed by the oldest online software registration service SWReg.org, it supports secure online credit card processing and also allows to register by fax or post. Within a few days after the payment is completed you will receive registration code by email.


Product License

The license describes the conditions under which you may use Proxy Switcher. If you are unable or unwilling to accept these conditions in full, then, notwithstanding the conditions in the remainder of this license, you may not use the software at all.
You are granted a non-exclusive license to use the Proxy Switcher for commercial or non-commercial use. The Proxy Switcher may not be rented, leased or transferred. Any use of the Proxy Switcher which is illegal under international or local law is forbidden by this license. Any such action is the sole responsibility of the person committing the action.
The Proxy Switcher is distributed "AS IS" and you assume full responsibility for determining the suitability of the Proxy Switcher and for results obtained. Authors make no warranty that all errors have been or can be eliminated from the Proxy Switcher and, with respect thereto, authors shall not be responsible for losses, damages, costs, or expenses of any kind resulting from using or misusing the Proxy Switcher including without limitation, any liability for business expenses, machine downtime, damages experienced by you or any third person as a result of any deficiency, defect, bug, error or malfunction.
Authors shall not be liable for any indirect, special, incidental, or consequential damages relating to or arising out of the subject matter of this Agreement or actions taken hereunder NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THE Proxy Switcher AT YOUR OWN RISK. AUTHORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. NOBODY WILL BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
You may not distribute, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the Proxy Switcher, or any subset of the Proxy Switcher. All rights not expressly granted here are reserved by authors. Authors reserve the right to make exceptions to any of these conditions, or alter these conditions, at any time.


Why Should I Register?

The registration will:

  • Unlock all features - Anonimity level testing, Automatic switching.
  • No more expiration.
  • Free technical support.
  • Free lifetime upgrades.

It will also provide resources to support and improve Proxy Switcher in the future.


Development History

    Version 4.4.0 (December 12 2009):
    • Improvements:
      • Replaced Ip2Country with a more accurate one (derived from one used in IP2City plugin).
      • On fresh a installation worker count (proxy scanners) will be set by default to 12 on systems that permit it.
      • Improved proxy server detection when parsing user defined proxy lists that are formatted as text only.
      • Updated Ip2Country.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 4.3.1 (September 2 2009):
    • Improvements:
      • Databases are now saved using write-through mode to avoid data corruption in case of power failure.
      • Updated Ip2Country database.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 4.3.0 (July 23 2009):
    • Improvements:
      • Added Uptime % column. Will display % of times server has been tested as working.
      • Automated tasks will prioritize scanning of servers with higher uptimes first.
      • Automated tasks dead server deletion changed - servers with lowest uptime % will be removed.
      • Filter now is applied to all folders at once and switching among them does not reset it.
      • Unicode support for user notes - properly entered, edited and displayed.
      • Unicode support for filter.
      • IP2City - filter box searches include cities now.
      • IP2City - country column sorting now sorting includes city names beside the country name.
      • Proxy listview column widths saved and restored.
      • Added minimize button to automatic tasks status window.
      • When background scan tasks are started it won't steal focus anymore from other applications.
      • Optimized miniscanlog - results in faster and freeze less UI.
      • Updated google test target to reflect changes.
      • While the scanner is active it's possible to queue more servers for testing from popupmenu.
      • Renamed (Alive) servers into (Alive-SSL) and (Anonymous) to (Anonymous-SSL) to make it more clear.
      • Slightly improved detection of the best matching whois reply from whois servers.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 4.2.0 (June 27 2009):
    • Improvements:
      • It is now possible to request WHOIS information on proxy servers by right clicking a proxy server and clicking appropriate popup menu entry.
      • Now there are 3 ways to control IE - direct, hybrid (via internal proxy) and disabled.
      • If Direct IE control is disabled then IE settings will be changed to work via internal proxy server.
      • If user attempts to set user&password for a proxy a warning icon will be shown if Direct IE control is enabled.
      • Added option to show times as time passed since now instead of absolute values (enabled by default).
      • Improved interface responsibility while scanner is active.
      • Save and restore window size and position upon exit.
      • Added early Ip2Country detection where it's possible.
      • Updated Ip2Country database.
    • Fixed Bugs:
      • When not scanning potentially dangerous servers it was waiting till timeout was reached instead of stopping right away.
      • Ip2Country - Slovenia and Sweden were misdetected.
      • Minor bugfixes.

    Version 4.1.0 (May 25 2009):
    • Improvements:
      • Using more servers when checking for anonymity (registered version only).
      • Updated Ip2Country database.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 4.0.0 (April 24 2009):
    • Improvements:
      • Full support of SSL (https://) connection testing.
      • Improved scan time measurment.
      • Added Elite-SSL server type - elite server that also supports SSL (https://) connections.
      • Optimized proxy switching speed especially in cases with a with lot of RAS connections.
      • Added click and double click actions to mini log window.
      • After a single server is scanned (from context menu) main proxy list will be scrolled to ensure the entry is visible.
      • Can multiselect entries in user defined proxy list (to remove them).
      • When starting scan from toolbar on a filtered list of servers it will only scan the filtered ones.
      • Support of IP2City external database (purchasable as additional download).
      • Automatic IP2City database update.
      • Pre-filtering of the downloaded web pages to avoid possible hangs inside Internet Explorer's html parser.
      • Additional safeguards to ProxyNet.
      • Possibility to change registration key from the about box (in case of an upgrade from Standard to Pro version for example).
      • Improved compatibility with proxy servers when using automatic proxy username and password.
      • Proxy editing window remembers previous state it was in (basic or advanced) and will try to prefer it when possible.
      • Proxy editing window accepts entered Host:Port format when entered into host window.
    • Fixed Bugs:
      • When registering program under Windows Vista it will automatically register it for all accounts on the current machine.
      • Minor bugfixes.

    Version 3.24.0 (February 20 2009):
    • Improvements:
      • Improved testing server checking on scanning start.
    • Fixed Bugs:
      • Properly scans servers which name consists of a single word (no dots).
      • Handles properly server entries where first character of port is 0.
      • Minor bugfixes.

    Version 3.23.0 (January 30 2009):
    • Improvements:
      • Improved startup reliability on some systems.
      • Updated Ip2Country database.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 3.22.0 (December 11 2008):
    • Improvements:
      • Updated non anoymous target testing list.
      • Updated proxy settings handling via non direct IE control.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 3.21.0 (November 19 2008):
    • Improvements:
      • Added scanner mini log window.
      • Added private network IP address filtration client and server side.
      • Added password protected proxy support (minimal).
      • Added hint display to the folders tree.
      • Updated Ip2Country database.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 3.20.1 (October 27 2008):
    • Fixed Bugs:
      • Fixed broken compatibility with Win2K.

    Version 3.20.0 (October 12 2008):
    • Improvements:
      • Rewritten connection throttling - should give much faster browsing via internal proxy while the scanner is active (priorities added) and moderately faster scanning due to more aggressive settings.
      • Added uninstaller option to remove user data & keys - effectively can be used to reset the settings.
      • Much reduced flicker of the filter box control.
      • Updated Ip2Country database.
    • Bugs:
      • Minor bugfixes.

    Version 3.19.0 (September 12 2008):
    • Improvements:
      • Reworked settings dialog.
      • Added option to disable tray icon animations.
      • Overall reliability improvements.
      • Slight database search speedup.
      • Improved recovery from data corruption.
      • Added startup watchdog - should help starting on some rare configurations.
      • When downloading proxy lists the amount downloaded being shown instead of speed.
    • Bugs:
      • In some cases proxy list downloads were not stopping until aborted.
      • Minor bugfixes.

    Version 3.18.0 (August 14 2008):
    • Improvements:
      • Added detection of hibernation/sleep/wakeup.
      • Updated Ip2Country database.
    • Bugs:
      • Fixed proxy list not being refereshed when proxy is manually added.
      • Minor bugfixes.

    Version 3.17.0 (July 15 2008):
    • Improvements:
      • New version of ProxyNet.
      • Faster proxy list downloads.
      • Reduced idle CPU load.
      • Added hints that show why the proxy test has failed last time for the particular server.
      • Removed XP-style for the Windows 2000 and older.
      • Added much more robust settings saving to reduce chances of the corruption.
    • Bugs:
      • Removed half-open socket throttling (it actually was not being disabled completly).
      • Fixed protection against group policy.

    Version 3.16.0 (June 25 2008):
    • Improvements:
      • Protection against domain group policy changing your proxy settings while Proxy Switcher is running.
      • Added option to mark CoDeeN servers as dead since recent changes to proxy scanning handling resulted in them being included in results.
      • Updated Ip2Country database.
    • Bugs:
      • Server shouldn't time out when checking increased number of targets.
      • Fixed minor issue with unchecking options in group checklist boxes.

    Version 3.15.0 (June 10 2008):
    • Improvements:
      • Auto switcher supports multiple source folders for switching.
      • Changed auto switching algorithm to maximize count of working used servers - thus reducing amount of data sent through each of the server.
      • Added option to change auto switcher proxy server picking strategy - prefer faster servers vs prefer random servers.
      • Changed proxy handling protocol from HTTP/1.0 to HTTP/1.1
      • Updated Ip2Country database.
    • Fixed Bugs:
      • Suppress scripting error messages from Internet Explorer while parsing proxy lists.

    Version 3.14.0 (May 17 2008):
    • Improvements:
      • New/Updated tutorials added.
      • Improved backup strategy against database corruptions.
      • Updated IP to Country database.
    • Fixed Bugs:
      • Installation over the already installed Proxy Switcher does not overwrite previously saved settings.

    Version 3.13.0 (April 22 2008):
    • Improvements:
      • Now can be installed by power user instead of only administrator.
      • If during auto tasks network has gone done or test sites are otherwise are unreachable error dialog will automatically close.
      • Registered users can change scanning non-anon test targets in the options.
      • Installer supports new options /name and /key to allow install via Systems Management Server.
    • Fixed Bugs:
      • Internal proxy server has fixed limit of possible active connections to avoid exausting resources in some cases.

    Version 3.12.2 (March 15 2008):
    • Improvements:
      • Better handling of tricky javascripted proxy lists.
      • Updated IP-2-Country database.

    Version 3.12.1 (January 15 2008):
    • Improvements:
      • More clear category names added.
    • Fixed Bugs:
      • Fixed hung while starting up if internal server is disabled.

    Version 3.12.0 (December 12 2007):
    • Improvements:
      • Unattended installing added use keys /SILENT and /VERYSILENT when starting installer.
      • When scanning user's own folders 'Proxy Switcher' and 'My proxy servers' don't move them away.
    • Fixed Bugs:
      • Edit/Remove didn't work properly in combination with active filtering.
      • Possible crash during scanning.

    Version 3.11.4 (November 20 2007):
    • Improvements:
      • Auto scheduled task window doesn't get covered in some cases by main window.
    • Fixed Bugs:
      • Fixed autoswitching bug - it was not cleaning scanner queue in some cases.
      • Additional checks for scanner reliablity added.
    Version 3.11.3 (November 2 2007):
    • Improvements:
      • Reworked fake-server detection - version upgrade for users strongly recommended.
      • Dynamic timeout scanner manipulation - should reduce amount of timed out servers.
    • Fixed Bugs:
      • Minor issues.

    Version 3.11.2 (October 19 2007):
    • Improvements:
      • Multiple target checking when scanning servers - should fight servers that pose themselves as proxy but really aren't.
      • Support of a mobile installation on removable devices (like a flash) - will not save settings in registry or user files.
      • Clean some traces in registry which are left by windows explorer (mobile only).
      • Priority scanning - scanner first will try to check servers that are more likely to be alive.
    • Fixed Bugs:
      • Minor issues.

    Version 3.11.0 (September 10 2007):
    • Improvements:
      • ProxyNET implemented - added feedback loop for functioning servers to improve list quality.
      • Detection of half-open limitation patch for tcpip.sys driver under Windows XP and Vista.
      • Improved unhandled exception handling to increase software stability.
      • Lot of components unit tested to increase reliablity.
    • Fixed Bugs:
      • Fixed race condition which can happen on multicore CPU during program startup under very high loads.
      • CPU load measured properly for Vista.
      • When uninstalling feedback webpage was getting opened too many times.
      • Other minor issues.

    Version 3.10.0 (July 10 2007):
    • Improvements:
      • More lightweight and faster javascript parser.
      • Added support for external javascript includes.
      • Automatic redirection support for proxy list downloader.
      • Cookie support for proxy list downloader.
      • Improved integrated proxy server HTTP/1.1 compatibility.
      • Control and queue of HalfOpen sockets for operating systems newer than XP.
    • Fixed Bugs:
      • Fixed crash in certain cases of multi-monitor system.
      • Fixed few other problems.

    Version 3.9.3 (March 23 2007):
    • Improvements:
      • Improved speed and reliability of proxy list download with javascript parser.
      • Using different default proxy test target.
    • Fixed Bugs:
      • Fixed few cases of crash possibility.

    Version 3.9.2 (February 27 2007):
    • Improvements:
      • Improved compatibility with Windows Vista.
      • Updated IP-to-Country list.
    • Fixed Bugs:
      • Fixed problem where javascript parsing was used when unneeded.
      • Fixed and improved troubleshooting checks.

    Version 3.9.1 (February 21 2007):
    • Improvements:
      • Added Proxy List Settings - allows to enable/disable certain built-in proxy list sites.
      • Added javascripted proxy list page parsing.
    • Fixed Bugs:
      • Automatic Task Scheduled mode is now saved properly.

    Version 3.9.0 (January 19 2007):
    • Improvements:
      • Option to provide external access to integrated proxy server.
    • Fixed Bugs:
      • Fixed few crash possibilities.
    Version 3.8.2 (December 17 2006):
    • Fixed Bugs:
      • Built-in testing URL hotfix.
      • Other minor fixes.

    Version 3.8.1 (October 22 2006):
    • Improvements:
      • More system friendly automatic task starting - will delay start if system load is high.
    • Fixed Bugs:
      • Fixed problem with extreamely long POST requests.
      • Various minor problems fixed.

    Version 3.8.0 (October 1 2006):
    • Improvements:
      • Added Automatic Tasks Scheduler - keep the working lists updated automatically.
      • Added new wizard task - recheck working & anonymous proxy servers.
      • Added context menu option to copy IP addess into clipboard.
    • Fixed Bugs:
      • Wizard scenarios improvements.
      • Multi-monitor popup window/menu positioning fixes.
      • Minor bugfixes.

    Version 3.7.2 (September 13 2006):
    • Improvements:
      • Improved exception processor added.
    Version 3.7.1 (September 2 2006):
    • Improvements:
      • Ability to show tray menu entries in user specified custom format.
      • Improved proxy list downloader to combat "anti-leeching" protection on various websites.
      • New hotkeys added - <Space> to activate select proxy and <Backspace> to switcht to direct connection.
    • Fixed Bugs:
      • Minor bugfixes.

    Version 3.7.0 (July 4 2006):
    • Improvements:
      • Microsoft Windows Vista support.
      • Improved filtering that works for all columns.
      • Troubleshooting helper dialog implemented.
      • Improved, more informative autoswitching.
      • Better context menu handling when multiple proxy servers are selected.
    • Fixed Bugs:
      • In settings dialog default source category for auto switcher was not set properly.
      • Other minor bugfixes.

    Version 3.6.0 (May 22 2006):
    • Improvements:
      • Improved more descriptive tray icons.
      • Keep-Alive/Auto Switching mode is saved and restored after restart.
      • Country column width auto-set to fit longest country name.
      • Active proxy entry will change color along with the changed icon.
    • Fixed Bugs:
      • Fixed bug where exception could happen when testing on selected proxies was called.
      • Minor bugfixes.

    Version 3.5.0 (Jan 29 2006):
    • Improvements:
      • Browser User-Agent emulation.
      • Login/Password specification for user proxy list servers.
      • Function properly and store settings when run from removable storage.
      • Improved timeout checking for proxy list downloader.
    • Fixed Bugs:
      • Last active page of settings dialog is shown.
      • Re-enabled 'About' menu item in tray menu.
      • Fixed popup window placement on multimonitor setup.
      • Wizard driven scanning stability improved.
      • Other minor bugs fixed.

    Version 3.4.0 (Oct 1 2005):
    • Improvements:
      • Searching for Elite proxy servers.
      • Option to hide proxy address in popup menu if note is specified.
    • Fixed Bugs:
      • Better standard compatbility with http servers.
      • Other minor bugs fixed.

    Version 3.3.0 (Aug 1 2005):
    • Improvements:
      • Quick-filter for proxy list.
      • Improved compatiblity with exotic proxy servers.
      • Updated IP2Country database.
      • Found proxy counting.
    • Fixed Bugs:
      • Improved POST method support for large uploads.
      • Rare memory leak in internal proxy server.
      • Other minor bugs fixed.

    Version 3.2.0 (May 13 2005):
    • Improvements:
      • In caption and in tray hint report coutry along the IP.
      • Generic proxy list extractor.
      • Internal proxy will retry couple times to fetch data instead of giving up.
      • Checking for potentially dangerous servers.
      • Will accept mising trailing slash for autoconfig URLs.
      • Add proxy server that matches current proxy settings.
      • Add user folders/subfolders.
      • Internal Socks server.
      • Testing for SSL capable servers.
    • Fixed Bugs:
      • When program mode is changed splitter is not placed in the proper place.
      • URLs with asterisk was determined as invalid.
      • When exiting program could crash with a message that heartbeat was called from thread that was not created.
      • Could not disable internal proxy server.
      • Other minor bugs fixed.
    Version 3.1.0 (Mar 21 2005):
    • Improvements:
      • Country flags added to popup menu and program.
      • Active proxy is displayed in the hint of the tray icon.
    • Fixed Bugs:
      • Intenal proxy server sudden listener death.
      • Possibility of exception in proxy server on shutdown.
      • Unclosed sockets left hanging.

    Version 3.0.1 (Feb 20 2005):
    • Improvements:
      • HTTP/1.1 style persistent connection support in internal proxy server.
    • Fixed Bugs:
      • Changed "dead" proxy detection pattern.
      • Lockup when scanning is active and adding/editing is being done.
      • Windows shutdown prevention.
      • In statubar ClearType overdraw problem fixed.
      • When installing over version (2.x possibly) it was not killing active instance.
      • Ctrl+C/Ctrl+V did not work in enter keycode dialog.
      • DNS lookup failure due to a network error was throwing an unexpected exception.
      • Unexpected exception thrown on certain command line parameters.
      • Downloads via internal proxy server sometimes were getting corrupt.
      • Due to Mozilla keeping spare proxy connections open changes were not instant.
      • When working through internal proxy server exclusions were being ignored.
      • Tray popup menu was not showing active proxy server entry if it was not in the "ProxySwitcher" folder.

    Version 3.0.0 (Jan 18 2005):
    • Improvements:
      • Completly rewritten scanning engine. Improved detection of proxy servers that only seem to be working but in reality are returning junk.
      • Created internal/forwarding proxy server for other applications besides Internet Explorer.
      • Proxy servers are being tested for "CONNECT" method support.
      • "File-Import from text file..." displays results of the operation.
      • Simplified UI structure - only one main window for standard version instead of two. Two modes (switching and anonymous) added.
      • Tray icon popup menu displays notes.
      • Added flash tutorials.
    • Fixed Bugs:
      • Popup menu items were not being disabled when no servers were selected.
      • In some cases uninstall was not killing running instances of the program.
      • Tray icon double click was not restoring minimized application.
      • In some cases progress bar in proxy list downloader was always showing no progress.
      • Fixed problems with switching from autoconfig to direct connection and autoconfig URL corruption.
      • Other minor bug fixes.

    Version 2.4.0 (May 12 2004):
    • Improvements:
      • Per protocol proxy server setup.
      • "Bypass proxy for local addresses" option added to exclusions dialog.
      • New option added - user can choose source category for autoswitching.
      • Added option to display proxy manager window when tray icon is clicked.
    • Fixed Bugs:
      • In port edit window character filtering was not working properly.
      • In exclusions dialog when enter was pressed data was not saved.
      • In main window clicking of edit icon did not change the focused row.
    Version 2.3.0 (Mar 26 2004):

    • Improvements:
      • Anonimity checker service added.
      • Keep Proxy Connection Alive mode.
      • Automatic Switching among proxy servers mode.
      • Proxy list download window auto hide when download is inactive.
      • Notes display in popup menu.
      • Copy/Paste proxy list from clipboard.
      • Original proxy settings backup and restoration on install/uninstall.
      • "Private" category added for proxys server require authentication.
      • Activate Proxy & Use Direct connection tool buttons added.
    • Fixed Bugs:
      • In Set exclusions dialog when enter was pressed data was not saved.
      • Fixed memory leak.
      • RegExp parser lockup solved.
      • Access Violation when 2 edit proxy windows are simulatneously activated.
    Version 2.2.0 (Nov 08 2003):
    • Improvements:
      • Immediate worker count change while scanning is active.
      • More responsive to user and less CPU hungry scanning.
    • Fixed Bugs:
      • Setting of exception list will not re-enable last active proxy server.
      • Fixed incorrect display of some controls on Windows XP with themes.
      • Automatic main window resize to fit toolbar with different themes.
      • Main window reactivated if the icon in the tray is clicked.
      • Clean uninstall even with running instance of Proxy Switcher.
      • Fixed exception if download is active and exit is forced.
    Version 2.1.0 (Sep 23 2003):
    • Improvements:
      • Clicking of F1 will display help.
      • Now when Esc hotkey is pressed in the proxy manager the proper window gets closed.
      • The proxy list will display note as a hint.
      • Only one instance of proxy switcher per used is allowed or else it might mess up proxy list.
      • When proxy data is edited/new proxy server is being added the proxy server address edit box gets selected automatically.
      • Changed settings button behavior in the toolbar.
      • Command line control support.
    • Fixed Bugs:
      • Proxy lists should be correctly saved now.
      • When the direct connection is active the entry in menu did not get checked.
    Version 2.0.1 (Sep 04 2003):
    • Fixed Bugs:
      • In settings dialog Enter key equals click of the Ok button.
      • Disabled double-buffered drawing for the toolbar - shouldn't flicker anymore.
    Version 2.0 (Aug 26 2003):
    • Improvements:
      • RAS connection support.
      • Interface cleanup.
      • More flexible proxy list.
      • Proxy list manager.
      • Free proxy list downloader based on regular expressions.
      • Multi-threaded proxy tester.
      • HTML Help.


Acknowledgements

Regular expression support is provided by the PCRE library package, which is open source software, written by Philip Hazel, and copyright by the University of Cambridge, England. This library was modified by Renato Mancuso.

The installer for this product was created using Inno Setup by Jordan Russel.

Decompression routines are provided by LZMA SDK Copyright (c) 1999-2004 Igor Pavlov.


Contacts
E-Mail: support@proxyswitcher.com
WWW: http://www.proxyswitcher.com/